std::istreambuf_iterator::istreambuf_iterator(3)

NAME
std::istreambuf_iterator::istreambuf_iterator - std::istreambuf_iterator::istreambuf_iterator

Synopsis
   istreambuf_iterator() throw(); (until
                        C++11)
   constexpr istreambuf_iterator() noexcept; (since
                        C++11)
   constexpr istreambuf_iterator( (2) (since
   std::default_sentinel_t ) noexcept; C++20)
   istreambuf_iterator( (until
   std::basic_istream<CharT,Traits>& is ) C++11)
   throw();
   istreambuf_iterator( (since
   std::basic_istream<CharT,Traits>& is ) C++11)
   noexcept; (1)
   istreambuf_iterator( (until
   std::basic_streambuf<CharT,Traits>* s ) C++11)
   throw(); (3)
   istreambuf_iterator( (since
   std::basic_streambuf<CharT,Traits>* s ) C++11)
   noexcept; (4)
   istreambuf_iterator( const /* proxy */& p ) (until
   throw(); C++11)
   istreambuf_iterator( const /* proxy */& p ) (5) (since
   noexcept; C++11)
   istreambuf_iterator( const (6) (since
   istreambuf_iterator& ) noexcept = default; C++11)
   1-2) Constructs an end-of-stream iterator.
   3) Initializes the iterator and stores the value of is.rdbuf() in a data member. If
   is.rdbuf() is null, then end-of-stream iterator is constructed.
   4) Initializes the iterator and stores the value of s in a data member. If s is
   null, then end-of-stream iterator is constructed.
   5) Effectively call (3) with the streambuf_type* pointer p holds.
   6) The copy constructor is trivial and explicitly defaulted.
   The copy constructor is effectively implicitly declared and not (until C++11)
   guaranteed to be trivial.

Parameters
   is - stream to obtain the stream buffer from
   s - stream buffer to initialize the iterator with
   p - object of the implementation-defined proxy type